package com.ss.android.ugc.aweme.uploader.factory;

import X.Jr5;
import X.JrU;
import X.M12;
import com.bytedance.covode.number.Covode;

public abstract class AbstractImageUploader {
    public final JrU LIZ;

    static {
        Covode.recordClassIndex(121440);
    }

    public abstract void LIZ();

    public abstract void LIZ(int i, String[] strArr);

    public abstract void LIZ(Jr5 jr5);

    public abstract void LIZ(String str);

    public abstract void LIZ(boolean z);

    public abstract void LIZIZ();

    public AbstractImageUploader(JrU jrU) {
        M12.LIZ(jrU);
        this.LIZ = jrU;
    }
}
